Intel Wireless-AC 9560 Bluetooth, whenever connected to BLE devices, causes UI freeze when re-logging in after resumed from suspend

Bug #1855235 reported by You-Sheng Yang on 2019-12-05
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
HWE Next
Undecided
Unassigned
linux-firmware (Ubuntu)
Undecided
You-Sheng Yang
Bionic
Undecided
Unassigned
Disco
Undecided
Unassigned
Eoan
Undecided
Unassigned

Bug Description

[Steps to Reproduce]
1. Pair some Bluetooth BLE device. Open a terminal and run `dmesg -w` to make sure Bluetooth is receiving advertisement events and repeatedly printing:

  Bluetooth: hci0: advertising data len corrected
  ...

2. Turn off dim display/blank screen on idle in Settings
3. Shorten long idle suspend time to 2 minutes by:

  $ gsettings set org.gnome.settings-daemon.plugins.power \
      sleep-inactive-ac-timeout 120

4. Idle wait for 2 minute and let system suspend.
5. Resume after 20 seconds suspend or so.

[Expected result]
System resumes normally.

[Actual result]
* Screen lighted up, sent to GDM greeter as expected, but UI freeze when pressed ENTER to submit filled account name/password.
* No console switch is possible.
* Kernel alive because rescue magic key is the only way to escape.
* The last line in syslog is:

  kernel [...] PM: suspend entry (deep)

* When Bluetooth is rfkilled, this issue is not happening. When Bluetooth has never paired to BLE devices, this issue is no happening, either.
---
ProblemType: Bug
ApportVersion: 2.20.9-0ubuntu7.9
Architecture: amd64
Dependencies:

DistributionChannelDescriptor:
 # This is the distribution channel descriptor for the OEM CDs
 # For more information see http://wiki.ubuntu.com/DistributionChannelDescriptor
 canonical-oem-somerville-bionic-amd64-20190418-59+beaver-osp1-loras+X21
DistroRelease: Ubuntu 18.04
InstallationDate: Installed on 2019-12-02 (3 days ago)
InstallationMedia: Ubuntu 18.04 "Bionic" - Build amd64 LIVE Binary 20190418-12:10
Package: linux-firmware 1.173.12
PackageArchitecture: all
ProcVersionSignature: Ubuntu 5.0.0-1028.32-oem-osp1 5.0.21
Tags: bionic
Uname: Linux 5.0.0-1028-oem-osp1 x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

_MarkForUpload: True

You-Sheng Yang (vicamo) on 2019-12-05
tags: added: oem-priority originate-from-1854408 somerville
You-Sheng Yang (vicamo) on 2019-12-05
description: updated
summary: - Intel Wireless-AC 9462/9560 Bluetooth fails system suspend when
- connected to BLE devices
+ Intel Wireless-AC 9462/9560 Bluetooth, whenever connected to BLE
+ devices, causes UI freeze when re-loggin in after resumed from suspend
summary: Intel Wireless-AC 9462/9560 Bluetooth, whenever connected to BLE
- devices, causes UI freeze when re-loggin in after resumed from suspend
+ devices, causes UI freeze when re-logging in after resumed from suspend

apport information

tags: added: apport-collected bionic
description: updated

apport information

Changed in linux-firmware (Ubuntu):
status: New → In Progress
description: updated
You-Sheng Yang (vicamo) wrote :
You-Sheng Yang (vicamo) wrote :

This only happens on 9560.

summary: - Intel Wireless-AC 9462/9560 Bluetooth, whenever connected to BLE
- devices, causes UI freeze when re-logging in after resumed from suspend
+ Intel Wireless-AC 9560 Bluetooth, whenever connected to BLE devices,
+ causes UI freeze when re-logging in after resumed from suspend
You-Sheng Yang (vicamo) on 2019-12-05
Changed in linux-firmware (Ubuntu Focal):
status: In Progress → Confirmed
Changed in linux-firmware (Ubuntu Bionic):
status: New → In Progress
Changed in linux-firmware (Ubuntu Disco):
status: New → In Progress
Changed in linux-firmware (Ubuntu Eoan):
status: New → In Progress
You-Sheng Yang (vicamo) wrote :

Focal has already intel/ibt-19-32-1.sfi of REL0352.

no longer affects: linux-firmware (Ubuntu Focal)

Hello You-Sheng, or anyone else affected,

Accepted linux-firmware into eoan-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.183.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-eoan to verification-done-eoan. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-eoan. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in linux-firmware (Ubuntu Eoan):
status: In Progress → Fix Committed
Changed in linux-firmware (Ubuntu Disco):
status: In Progress → Fix Committed
Andy Whitcroft (apw) wrote :

Hello You-Sheng, or anyone else affected,

Accepted linux-firmware into disco-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.178.7 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-disco to verification-done-disco. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-disco. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in linux-firmware (Ubuntu Bionic):
status: In Progress → Fix Committed
Andy Whitcroft (apw) wrote :

Hello You-Sheng, or anyone else affected,

Accepted linux-firmware into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.173.14 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

You-Sheng Yang (vicamo) wrote :

Verified 1.183.3/eoan-proposed, 1.178.7/disco-proposed, 1.173.14/bionic-proposed.

tags: added: verification-done-bionic verification-done-disco verification-done-eoan
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.183.3

---------------
linux-firmware (1.183.3) eoan; urgency=medium

  * Intel Wireless-AC 9560 Bluetooth, whenever connected to BLE devices,
    causes UI freeze when re-logging in after resumed from suspend
    (LP: #1855235)
    - linux-firmware: Update firmware file for Intel Bluetooth AX201

 -- Seth Forshee <email address hidden> Thu, 12 Dec 2019 07:22:43 -0600

Changed in linux-firmware (Ubuntu Eoan):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for linux-firmware has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.178.7

---------------
linux-firmware (1.178.7) disco; urgency=medium

  * Intel Wireless-AC 9560 Bluetooth, whenever connected to BLE devices,
    causes UI freeze when re-logging in after resumed from suspend
    (LP: #1855235)
    - linux-firmware: Update firmware file for Intel Bluetooth AX201

 -- Seth Forshee <email address hidden> Thu, 12 Dec 2019 07:39:04 -0600

Changed in linux-firmware (Ubuntu Disco):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.173.14

---------------
linux-firmware (1.173.14) bionic; urgency=medium

  * Fix latency issue on Realtek Bluetooth (LP: #1856077)
    - rtl_bt: Update RTL8723D BT FW to 0x828A_96F1

  * Intel Wireless-AC 9560 Bluetooth, whenever connected to BLE devices,
    causes UI freeze when re-logging in after resumed from suspend
    (LP: #1855235)
    - linux-firmware: Update firmware file for Intel Bluetooth AX201

 -- Seth Forshee <email address hidden> Thu, 12 Dec 2019 07:48:58 -0600

Changed in linux-firmware (Ubuntu Bionic):
status: Fix Committed → Fix Released
You-Sheng Yang (vicamo) on 2019-12-23
Changed in linux-firmware (Ubuntu):
status: Confirmed → Invalid
Changed in hwe-next:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers